Skip to content
v0.3

catalog.collection.update

Update a collection (partial): identity, SEO, visibility, schedule, combinator, rule or sort. Membership is rebuilt.

  • Scope: catalog.product.write
  • System: no
  • Reachable from: POST /v1/commands/catalog.collection.update (tenant credential) · MCP tool catalog.collection.update · SDK client.call('catalog.collection.update', …)
  • Events: catalog.collection.updated
{
"properties": {
"collection_id": {
"minLength": 1,
"type": "string"
},
"combinator": {
"enum": [
"union",
"intersection"
],
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ends_at": {
"anyOf": [
{
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
"type": "string"
},
{
"type": "null"
}
]
},
"handle": {
"maxLength": 120,
"minLength": 1,
"pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
"type": "string"
},
"match": {
"enum": [
"all",
"any"
],
"type": "string"
},
"name": {
"minLength": 1,
"type": "string"
},
"pinned_first": {
"type": "boolean"
},
"rule": {
"items": {
"properties": {
"attribute": {
"minLength": 1,
"type": "string"
},
"operator": {
"enum": [
"is",
"starts_with",
"contains",
"eq",
"gt",
"lt",
"between",
"is_one_of",
"before",
"after",
"more_than_days_ago",
"less_than_days_ago"
],
"type": "string"
},
"value": {}
},
"required": [
"attribute",
"operator",
"value"
],
"type": "object"
},
"type": "array"
},
"seo_description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"seo_title": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"sort": {
"enum": [
"auto:newest",
"auto:price_asc",
"auto:price_desc",
"auto:title",
"manual"
],
"type": "string"
},
"starts_at": {
"anyOf": [
{
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
"type": "string"
},
{
"type": "null"
}
]
},
"visibility": {
"enum": [
"public",
"internal"
],
"type": "string"
}
},
"required": [
"collection_id"
],
"type": "object"
}

Open (unknown) — this command does not declare an output schema.

validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)